org.apache.ode.daohib

## Class DataSourceConnectionProvider

- java.lang.Object
- - org.apache.ode.daohib.DataSourceConnectionProvider

- All Implemented Interfaces:
    java.io.Serializable, org.hibernate.engine.jdbc.connections.spi.ConnectionProvider, org.hibernate.service.Service, org.hibernate.service.spi.Configurable, org.hibernate.service.spi.Wrapped

      public class DataSourceConnectionProvider
      extends java.lang.Object
      implements org.hibernate.engine.jdbc.connections.spi.ConnectionProvider, org.hibernate.service.spi.Configurable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceConnectionProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `closeConnection(java.sql.Connection con)`
    `void` | `configure(java.util.Map props)`
    `java.sql.Connection` | `getConnection()`
    `boolean` | `isUnwrappableAs(java.lang.Class unwrapType)`
    `boolean` | `supportsAggressiveRelease()`
    `<T> T` | `unwrap(java.lang.Class<T> unwrapType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceConnectionProvider

          public DataSourceConnectionProvider()

  - ### Method Detail

    - #### configure

          public void configure(java.util.Map props)
                         throws org.hibernate.HibernateException

      Specified by:
        `configure` in interface `org.hibernate.service.spi.Configurable`
      Throws:
        `org.hibernate.HibernateException`

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      Specified by:
        `getConnection` in interface `org.hibernate.engine.jdbc.connections.spi.ConnectionProvider`
      Throws:
        `java.sql.SQLException`

    - #### closeConnection

          public void closeConnection(java.sql.Connection con)
                               throws java.sql.SQLException

      Specified by:
        `closeConnection` in interface `org.hibernate.engine.jdbc.connections.spi.ConnectionProvider`
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws org.hibernate.HibernateException

      Throws:
        `org.hibernate.HibernateException`

    - #### supportsAggressiveRelease

          public boolean supportsAggressiveRelease()

      Specified by:
        `supportsAggressiveRelease` in interface `org.hibernate.engine.jdbc.connections.spi.ConnectionProvider`

    - #### isUnwrappableAs

          public boolean isUnwrappableAs(java.lang.Class unwrapType)

      Specified by:
        `isUnwrappableAs` in interface `org.hibernate.service.spi.Wrapped`

    - #### unwrap

          public <T> T unwrap(java.lang.Class<T> unwrapType)

      Specified by:
        `unwrap` in interface `org.hibernate.service.spi.Wrapped`